## gate.gui
Class AppearanceDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--gate.gui.AppearanceDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class AppearanceDialog
extends JDialog

See Also:
  Serialized Form

Field Summary
`static String[]` `componentsKeys`
`static String[]` `menuKeys`
`static String[]` `textComponentsKeys`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AppearanceDialog(Dialog owner, String title, boolean modal, Component[] targets)`
`AppearanceDialog(Frame owner, String title, boolean modal, Component[] targets)`

Method Summary
`static void` `main(String[] args)` Test code
`static void` `setComponentsFont(Font componentsFont)` Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components
`static void` `setMenuComponentsFont(Font menuComponentsFont)` Updates the Swing defaults table with the provided font to be used for the menu components
`static void` `setTextComponentsFont(Font textComponentsFont)` Updates the Swing defaults table with the provided font to be used for the text components
`void` `show(Component[] targets)`

Methods inherited from class javax.swing.JDialog
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, removeNotify, setFont, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, disable, dispatchEvent, enable, enable, enableInputMethods, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### menuKeys

    public static String[] menuKeys

### componentsKeys

    public static String[] componentsKeys

### textComponentsKeys

    public static String[] textComponentsKeys

Constructor Detail

### AppearanceDialog

    public AppearanceDialog(Frame owner,
                            String title,
                            boolean modal,
                            Component[] targets)

### AppearanceDialog

    public AppearanceDialog(Dialog owner,
                            String title,
                            boolean modal,
                            Component[] targets)

Method Detail

### show

    public void show(Component[] targets)

### setTextComponentsFont

    public static void setTextComponentsFont(Font textComponentsFont)

  Updates the Swing defaults table with the provided font to be used for the text components

### setMenuComponentsFont

    public static void setMenuComponentsFont(Font menuComponentsFont)

  Updates the Swing defaults table with the provided font to be used for the menu components

### setComponentsFont

    public static void setComponentsFont(Font componentsFont)

  Updates the Swing defaults table with the provided font to be used for various compoents that neither text or menu components

### main

    public static void main(String[] args)

  Test code